com.verisign.epp.util

## Class EPPTransformer

- java.lang.Object
- - javax.xml.transform.Transformer
  - - com.verisign.epp.util.EPPTransformer

-     public class EPPTransformer
      extends javax.xml.transform.Transformer

  Wrapper class for the `Transformer` class for inclusion in a `GenericPoolManager`. The pool name used for instances to `EPPTransformer` is defined by the `POOL` constant. The `EPPTransformer` creates an embedded instance of `Transformer` that is delegated all of the method calls.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `POOL` Name of the EPPTransformer Pool managed by `GenericPoolManager`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPTransformer()` Create a new instance of EPPTransformer.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearParameters()` Wrapper for the `Transformer.clearParameters()` method.
    `javax.xml.transform.ErrorListener` | `getErrorListener()` Wrapper for the `Transformer.getErrorListener()` method.
    `java.util.Properties` | `getOutputProperties()` Wrapper for the `Transformer.getOutputProperties()` method.
    `java.lang.String` | `getOutputProperty(java.lang.String aName)` Wrapper for the `Transformer.getOutputProperty(java.lang.String)` method.
    `java.lang.Object` | `getParameter(java.lang.String aName)` Wrapper for the `Transformer.getParameter(java.lang.String)` method.
    `javax.xml.transform.URIResolver` | `getURIResolver()` Wrapper for the `Transformer.getURIResolver()` method.
    `void` | `setErrorListener(javax.xml.transform.ErrorListener aListener)` Wrapper for the `Transformer.setErrorListener(javax.xml.transform.ErrorListener)` method.
    `void` | `setOutputProperties(java.util.Properties aOFormat)` Wrapper for the `Transformer.setOutputProperties(java.util.Properties)` method.
    `void` | `setOutputProperty(java.lang.String aName, java.lang.String aValue)` Wrapper for the `Transformer.setOutputProperty(java.lang.String, java.lang.String)` method.
    `void` | `setParameter(java.lang.String aName, java.lang.Object aValue)` Wrapper for the `Transformer.setParameter(java.lang.String, java.lang.Object)` method.
    `void` | `setURIResolver(javax.xml.transform.URIResolver aResolver)` Wrapper for the `Transformer.setURIResolver(javax.xml.transform.URIResolver)` method.
    `void` | `transform(javax.xml.transform.Source aXmlSource, javax.xml.transform.Result aOutputTarget)` Wrapper for the `Transformer.transform(javax.xml.transform.Source, javax.xml.transform.Result)` method.

    - ### Methods inherited from class javax.xml.transform.Transformer

      `reset`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POOL

          public static final java.lang.String POOL

      Name of the EPPTransformer Pool managed by `GenericPoolManager`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPTransformer

          public EPPTransformer()

      Create a new instance of EPPTransformer.

  - ### Method Detail

    - #### clearParameters

          public void clearParameters()

      Wrapper for the `Transformer.clearParameters()` method.
      Specified by:
        `clearParameters` in class `javax.xml.transform.Transformer`

    - #### getErrorListener

          public javax.xml.transform.ErrorListener getErrorListener()

      Wrapper for the `Transformer.getErrorListener()` method.
      Specified by:
        `getErrorListener` in class `javax.xml.transform.Transformer`
      Returns:
        `ErrorListener` in embedded `Transformer`

    - #### getOutputProperties

          public java.util.Properties getOutputProperties()

      Wrapper for the `Transformer.getOutputProperties()` method.
      Specified by:
        `getOutputProperties` in class `javax.xml.transform.Transformer`
      Returns:
        `Properties` in embedded `Transformer`

    - #### getOutputProperty

          public java.lang.String getOutputProperty(java.lang.String aName)
                                             throws java.lang.IllegalArgumentException

      Wrapper for the `Transformer.getOutputProperty(java.lang.String)` method.
      Specified by:
        `getOutputProperty` in class `javax.xml.transform.Transformer`
      Parameters:
        `aName` - Output property name
      Returns:
        `String` in embedded `Transformer`
      Throws:
        `java.lang.IllegalArgumentException`

    - #### getParameter

          public java.lang.Object getParameter(java.lang.String aName)

      Wrapper for the `Transformer.getParameter(java.lang.String)` method.
      Specified by:
        `getParameter` in class `javax.xml.transform.Transformer`
      Parameters:
        `aName` - Parameter name
      Returns:
        `Object` in embedded `Transformer`

    - #### getURIResolver

          public javax.xml.transform.URIResolver getURIResolver()

      Wrapper for the `Transformer.getURIResolver()` method.
      Specified by:
        `getURIResolver` in class `javax.xml.transform.Transformer`
      Returns:
        `URIResolver` in embedded `Transformer`

    - #### setErrorListener

          public void setErrorListener(javax.xml.transform.ErrorListener aListener)

      Wrapper for the `Transformer.setErrorListener(javax.xml.transform.ErrorListener)` method.
      Specified by:
        `setErrorListener` in class `javax.xml.transform.Transformer`
      Parameters:
        `aListener` - `ErrorListener` instance

    - #### setOutputProperties

          public void setOutputProperties(java.util.Properties aOFormat)
                                   throws java.lang.IllegalArgumentException

      Wrapper for the `Transformer.setOutputProperties(java.util.Properties)` method.
      Specified by:
        `setOutputProperties` in class `javax.xml.transform.Transformer`
      Parameters:
        `aOFormat` - `Properties` instance
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setOutputProperty

          public void setOutputProperty(java.lang.String aName,
                                        java.lang.String aValue)
                                 throws java.lang.IllegalArgumentException

      Wrapper for the `Transformer.setOutputProperty(java.lang.String, java.lang.String)` method.
      Specified by:
        `setOutputProperty` in class `javax.xml.transform.Transformer`
      Parameters:
        `aName` - Output property name
        `aValue` - Output property value
      Throws:
        `java.lang.IllegalArgumentException`

    - #### setParameter

          public void setParameter(java.lang.String aName,
                                   java.lang.Object aValue)

      Wrapper for the `Transformer.setParameter(java.lang.String, java.lang.Object)` method.
      Specified by:
        `setParameter` in class `javax.xml.transform.Transformer`
      Parameters:
        `aName` - Property name
        `aValue` - Property value

    - #### setURIResolver

          public void setURIResolver(javax.xml.transform.URIResolver aResolver)

      Wrapper for the `Transformer.setURIResolver(javax.xml.transform.URIResolver)` method.
      Specified by:
        `setURIResolver` in class `javax.xml.transform.Transformer`
      Parameters:
        `aResolver` - URI resolver

    - #### transform

          public void transform(javax.xml.transform.Source aXmlSource,
                                javax.xml.transform.Result aOutputTarget)
                         throws javax.xml.transform.TransformerException

      Wrapper for the `Transformer.transform(javax.xml.transform.Source, javax.xml.transform.Result)` method.
      Specified by:
        `transform` in class `javax.xml.transform.Transformer`
      Parameters:
        `aXmlSource` - XML source
        `aOutputTarget` - Target if transformer
      Throws:
        `javax.xml.transform.TransformerException` - IF an unrecoverable error occurs during the course of the transformation.

Copyright © VeriSign Inc. All Rights Reserved.